Bug 1896230 - [4.5 upgrade][alert]CloudCredentialOperatorDown
Summary: [4.5 upgrade][alert]CloudCredentialOperatorDown
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Credential Operator
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.z
Assignee: Devan Goodwin
QA Contact: wang lin
URL:
Whiteboard:
Depends On: 1889540
Blocks: 1898199
TreeView+ depends on / blocked
 
Reported: 2020-11-10 05:41 UTC by OpenShift BugZilla Robot
Modified: 2020-11-30 16:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1898199 (view as bug list)
Environment:
Last Closed: 2020-11-30 16:46:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cloud-credential-operator pull 267 0 None closed Bug 1896230: manifests: Allow 'for: 20m' for CloudCredentialOperatorDown 2020-11-30 18:59:53 UTC
Red Hat Product Errata RHBA-2020:5115 0 None None None 2020-11-30 16:46:29 UTC

Comment 2 wang lin 2020-11-23 06:56:19 UTC
Verified on 4.6.0-0.nightly-2020-11-22-160856 

$ ./test.sh 
deployment.apps/cluster-version-operator scaled
deployment.apps/cloud-credential-operator scaled
no alert ,current time: 14:31:26
no alert ,current time: 14:32:27
no alert ,current time: 14:33:29
no alert ,current time: 14:34:31
no alert ,current time: 14:35:32
no alert ,current time: 14:36:34
no alert ,current time: 14:37:35
no alert ,current time: 14:38:39
no alert ,current time: 14:39:41
no alert ,current time: 14:40:42
no alert ,current time: 14:41:44
no alert ,current time: 14:42:48
no alert ,current time: 14:43:50
no alert ,current time: 14:44:52
no alert ,current time: 14:45:53
no alert ,current time: 14:46:57
no alert ,current time: 14:47:59
no alert ,current time: 14:49:00
no alert ,current time: 14:50:02
no alert ,current time: 14:51:04
no alert ,current time: 14:52:07
alert fire time: 14:53:10
{
  "labels": {
    "alertname": "CloudCredentialOperatorDown",
    "severity": "critical"
  },
  "annotations": {
    "message": "cloud-credential-operator pod not running"
  },
  "state": "firing",
  "activeAt": "2020-11-23T06:32:12.851606264Z",
  "value": "1e+00"
}
deployment.apps/cloud-credential-operator scaled
deployment.apps/cluster-version-operator scaled

Comment 5 errata-xmlrpc 2020-11-30 16:46:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:5115


Note You need to log in before you can comment on or make changes to this bug.